#
# Conditional build:
%bcond_without	apidocs		# do not build and package API docs
%bcond_without	static_libs	# don't build static libraries

Summary:	User interface builder for GTK+ and GNOME
Summary(pl.UTF-8):	Budowniczy interfejsów użytkownika dla GTK+ i GNOME
Name:		glade
Version:	3.38.2
Release:	5
License:	GPL v2+ and LGPL v2.1+
Group:		X11/Applications
Source0:	https://download.gnome.org/sources/glade/3.38/%{name}-%{version}.tar.xz
# Source0-md5:	f1ac9d9b6404308efb74adc548289455
Patch0:		meson0.61.patch
URL:		https://glade.gnome.org/
BuildRequires:	gettext-devel >= 0.19.8
BuildRequires:	gjs-devel >= 1.64.0
BuildRequires:	glib2-devel >= 1:2.64.0
BuildRequires:	gobject-introspection-devel >= 1.32.0
BuildRequires:	gtk+3-devel >= 3.24.0
BuildRequires:	gtk-doc >= 1.13
BuildRequires:	gtk-webkit4-devel >= 2.28
BuildRequires:	libxml2-devel >= 2.4.0
BuildRequires:	libxslt-progs
BuildRequires:	meson >= 0.49.0
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig
BuildRequires:	python-devel >= 2
BuildRequires:	python-pygobject3-devel >= 3.8.0
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpmbuild(find_lang) >= 1.23
BuildRequires:	rpmbuild(macros) >= 1.752
BuildRequires:	sed >= 4.0
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRequires:	yelp-tools
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	desktop-file-utils
Requires:	%{name}-libs = %{version}-%{release}
Requires:	gjs >= 1.64.0
Requires:	gtk-webkit4 >= 2.28
Requires:	hicolor-icon-theme
Conflicts:	glade3 < 3.8.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Glade is a RAD tool to enable quick & easy development of user
interfaces for the GTK+ toolkit and the GNOME desktop environment.

The user interfaces designed in Glade are saved as XML, and by using
the GtkBuilder GTK+ object these can be loaded by applications
dynamically as needed.

By using GtkBuilder, Glade XML files can be used in numerous
programming languages including C, C++, C#, Vala, Java, Perl, Python
and others.

%description -l pl.UTF-8
Glade jest narzędziem typu RAD (Rapid Application Development) do
szybkiego i wygodnego tworzenia interfejsów użytkownika opartych o
bibliotekę GTK+ i środowisko GNOME.

Interfejsy użytkownika zaprojektowane w Glade są zapisywane w formacie
XML i poprzez użycie obiektu GtkBuilder, z biblioteki GTK+, mogą być
dynamicznie ładowane przez aplikacje.

Poprzez użycie GtkBuilder, pliki XML Glade mogą być używane w licznych
językach programowania, włączając C, C++, C#, Vala, Java, Perl, Python
i inne.

%package libs
Summary:	Glade library
Summary(pl.UTF-8):	Biblioteka Glade
Group:		X11/Libraries
Requires:	glib2 >= 1:2.64.0
Requires:	gtk+3 >= 3.24.0
Requires:	libxml2 >= 2.4.0

%description libs
Glade library.

%description libs -l pl.UTF-8
Biblioteka Glade.

%package devel
Summary:	Header files for Glade library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki Glade
Group:		X11/Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	glib2-devel >= 1:2.64.0
Requires:	gtk+3-devel >= 3.24.0
Requires:	libxml2-devel >= 2.4.0

%description devel
Header files for Glade library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki Glade.

%package static
Summary:	Static Glade library
Summary(pl.UTF-8):	Statyczna biblioteka Glade
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static Glade library.

%description static -l pl.UTF-8
Statyczna biblioteka Glade.

%package apidocs
Summary:	Glade API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki Glade
Group:		Documentation
Requires:	gtk-doc-common
BuildArch:	noarch

%description apidocs
Glade API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki Glade.

%prep
%setup -q
%patch0 -p1

%if %{with static_libs}
%{__sed} -i -e '/^libgladeui = / s/shared_library/library/' gladeui/meson.build
%endif

%build
%meson build \
	-Dgladeui=true \
	%{?with_apidocs:-Dgtk_doc=true}

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor
%update_desktop_database_post

%postun
%update_icon_cache hicolor
%update_desktop_database_postun

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
# NOTE: COPYING contains general notes; full GPL and LGPL texts are in COPYING.{GPL,LGPL}
%doc AUTHORS COPYING MAINTAINERS NEWS TODO
%attr(755,root,root) %{_bindir}/glade
%attr(755,root,root) %{_bindir}/glade-previewer
%dir %{_libdir}/glade
%dir %{_libdir}/glade/modules
%attr(755,root,root) %{_libdir}/glade/modules/libgladegjs.so
%attr(755,root,root) %{_libdir}/glade/modules/libgladeglade.so
%attr(755,root,root) %{_libdir}/glade/modules/libgladegtk.so
%attr(755,root,root) %{_libdir}/glade/modules/libgladepython.so
%attr(755,root,root) %{_libdir}/glade/modules/libgladewebkit2gtk.so
%{_datadir}/glade
%{_datadir}/gettext/its/glade-catalog.its
%{_datadir}/gettext/its/glade-catalog.loc
%{_desktopdir}/org.gnome.Glade.desktop
%{_iconsdir}/hicolor/scalable/apps/org.gnome.Glade.svg
%{_iconsdir}/hicolor/symbolic/apps/glade-brand-symbolic.svg
%{_iconsdir}/hicolor/symbolic/apps/org.gnome.Glade-symbolic.svg
%{_datadir}/metainfo/org.gnome.Glade.appdata.xml
%{_mandir}/man1/glade-previewer.1*
%{_mandir}/man1/glade.1*

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgladeui-2.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgladeui-2.so.13
%{_libdir}/girepository-1.0/Gladeui-2.0.typelib

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgladeui-2.so
%{_datadir}/gir-1.0/Gladeui-2.0.gir
%{_includedir}/libgladeui-2.0
%{_pkgconfigdir}/gladeui-2.0.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libgladeui-2.a
%endif

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/gladeui-2
%endif
%changelog
* Thu Mar 31 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/glade.git;a=log;h=master

* Thu Mar 31 2022 Jan Palus <atler@pld-linux.org> cde1356
- Release 5 (by relup.sh)

* Thu Mar 31 2022 Jan Palus <atler@pld-linux.org> c407342
- rpm version for noarch subpackage

* Thu Mar 31 2022 Jan Palus <atler@pld-linux.org> 04eaf0c
- fix build with meson 0.61 (from gentoo)

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> fde246a
- rebuild with python 3.10

* Sun Nov 21 2021 Jan Rękorajski <baggins@pld-linux.org> 3e058f1
- Release 3 (by relup.sh)

* Sun Mar 07 2021 Jan Rękorajski <baggins@pld-linux.org> f8ce553
- unconditional noarch subpackages

* Sun Feb 28 2021 Jan Rękorajski <baggins@pld-linux.org> 85b6285
- release 2 (by relup.sh)

* Sun Nov 22 2020 Jakub Bogusz <qboosh@pld-linux.org> 0ee68bd
- updated to 3.38.2 (ready for python 3.9)

* Mon Oct 05 2020 Jakub Bogusz <qboosh@pld-linux.org> a88679b
- updated to 3.38.1

* Thu Sep 17 2020 Jakub Bogusz <qboosh@pld-linux.org> 593aae0
- updated to 3.38.0

* Sat May 09 2020 Jakub Bogusz <qboosh@pld-linux.org> 1dc5693
- updated to 3.36.0

* Sun Mar 01 2020 Jakub Bogusz <qboosh@pld-linux.org> 446482e
- updated to 3.22.2

* Thu Apr 05 2018 Marcin Banasiak <marcin.banasiak@gmail.com> e0235ac
- Update to 3.22.1

* Fri Jan 27 2017 Jakub Bogusz <qboosh@pld-linux.org> 7d17236
- updated to 3.20.0

* Sun Mar 01 2015 Elan Ruusamäe <glen@delfi.ee> 35339fe
- x32 rebuild
- release 2 (by relup.sh)

* Sun May 18 2014 Marcin Banasiak <marcin.banasiak@gmail.com> 4dc7384
- Update to 3.18.3

* Tue Apr 15 2014 Marcin Banasiak <marcin.banasiak@gmail.com> 2c9f89c
- Update to 3.18.2

* Thu Apr 03 2014 Elan Ruusamäe <glen@delfi.ee> 35c6276
- noarch apidocs

* Tue Apr 01 2014 Łukasz Kieś <kiesiu@pld-linux.org> 397e55b
- updated to 3.18.1

* Mon Dec 23 2013 Łukasz Kieś <kiesiu@pld-linux.org> 89ca04d
- updated to 3.16.1

